Bug 165944 - USB keyboard randomly stops working on Dell GX280
USB keyboard randomly stops working on Dell GX280
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Pete Zaitcev
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2005-08-15 00:34 EDT by Dominic Duval
Modified: 2012-06-20 12:02 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2012-06-20 12:02:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Dominic Duval 2005-08-15 00:34:27 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5) Gecko/20041215 Firefox/1.0 Red Hat/1.0-12.EL4

Description of problem:
USB keyboards on Dell GX280 machines will randomly and frequently (i.e. once every 4-5 hours of continuous use) stop working. Disconnecting and connecting the keyboard on a difference USB port generally fixes the problem.

Note that the USB keyboard relies on USB modules, as there is no PS/2 emulation on the GX280 (or PS/2 emulation doesn't kick in automaticaly). After verification, no corresponding setting were found in the BIOS to emulate a PS/2 keyboard.

The problem occurs in all runlevels, and seems to indicate a limitation in the ehci-hcd or uhci-hcd drivers.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Boot the system normaly using a USB keyboard on a Dell GX280.
2. After a while, the keyboard will stop responding.


Additional info:

This is different from bug 165942 filled earlier.
Comment 1 Pete Zaitcev 2005-08-30 21:13:40 EDT
Anything in the dmesg (please capture it with a login over network)?
Comment 3 Jiri Pallich 2012-06-20 12:02:30 EDT
Thank you for submitting this issue for consideration in Red Hat Enterprise Linux. The release for which you requested us to review is now End of Life. 
Please See https://access.redhat.com/support/policy/updates/errata/

If you would like Red Hat to re-consider your feature request for an active release, please re-open the request via appropriate support channels and provide additional supporting details about the importance of this issue.

Note You need to log in before you can comment on or make changes to this bug.